### Signal

# Goa PasswordBased::handle-get-password

since: 3.6.0

#### Declaration

    gboolean
    handle_get_password (
      GoaPasswordBased* self,
      GDBusMethodInvocation* invocation,
      gchar* arg_id,
      gpointer user_data
    )

#### Description [src]

Signal emitted when a remote caller is invoking the GetPassword() D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `goa_password_based_complete_get_password()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no other signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Available since: 3.6.0

#### Parameters

`invocation`

  Type: `GDBusMethodInvocation`

  A `GDBusMethodInvocation`.

  The data is owned by the caller of the function.

`arg_id`

  Type: `gchar*`

  Argument passed by remote caller.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

`G_DBUS_METHOD_INVOCATION_HANDLED` or `TRUE` if the invocation was handled, `G_DBUS_METHOD_INVOCATION_UNHANDLED` or `FALSE` to let other signal handlers run.